Hosts with no reports widget link generates incorrect search
Status: Closed
Assignee: Lukas Zapletal
Category: Web Interface

Target version:

Difficulty: trivial Fixed in Releases: 1.20.0
Triaged: No Found in Releases:
Bugzilla link: 1631219 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/6082
Description

Steps to Reproduce:

1.Create some hosts

2.Goto Dashboard

3.Look at "Host Configuration Status for all" component => "hosts with no reports”, that should show a number > 0 of not reported
hosts

4 .Click on "hosts with no reports"

Actual results:
No hosts listed

Expected results:
The same number of hosts indicated in the dashboard "hosts with no reports”

Additional info:
1- The query associated with "hosts with no reports" should be wrong, now the query is as following

'last_report > "30 minutes ago" and not has last_report and status.enabled = true’'
should be

'not has last_report and status.enabled = true'

Associated revisions

Revision 38c7ab7e - 09/24/2018 09:10 AM - Lukas Zapletal
Fixes #25005 - hosts with no report link on widget (#6082)

History

#1 - 09/21/2018 10:07 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/6082 added

#2 - 09/24/2018 09:11 AM - Marek Hulan
- Fixed in Releases 1.20.0 added

#3 - 09/24/2018 10:01 AM - Lukas Zapletal
- Status changed from Ready For Testing to Closed

Applied in changeset 38c7ab7e43ad92b520f1cdaa9c2453fd932518d1.
